#import <Foundation/Foundation.h>

/**
 Bus event emitted whenever a new message of any conversation has been received or any conversation message has been readed. Event bus listeners (see `PSHBusProvider`) must implement the following method for event awareness:
 
    -(void)onShouldRefreshChatListBusEvent:(NSNotification*)notification
    {
        PSHShouldRefreshChatListBusEvent* event = (PSHShouldRefreshChatListBusEvent*) notification.object;
    }
 */
@interface PSHShouldRefreshChatListBusEvent : NSObject

/**
 *  `YES` if the event was triggered when a `PSHChatViewController` is presented to the user and so unread messages has been marked as read.
 */
@property (nonatomic, assign) BOOL firedByRead;

@end
