#import <Foundation/Foundation.h>

typedef NS_ENUM (NSInteger, PSHChatDAOLastMessageType) {
    PSHChatDAOLastMessageTypeText = 0,
    PSHChatDAOLastMessageTypePicture = 1,
    PSHChatDAOLastMessageTypeVideo = 2,
    PSHChatDAOLastMessageTypeLocation = 3,
    PSHChatDAOLastMessageTypeContact = 4,
    PSHChatDAOLastMessageTypeCustom = 5,
    PSHChatDAOLastMessageTypeUnknown = -1
};

/**
 *  Data Access Object for a chat. Property names are self explanatory.
 */
@interface PSHChatDAO : NSObject

/**
 *  `YES` if the chat is a group chat.
 */
@property (nonatomic, assign) BOOL isGroup;

@property (nonatomic, strong) NSString* title;
@property (nonatomic, strong) NSString* chatId;

@property (nonatomic, assign) BOOL hasLastMessage;
@property (nonatomic, assign) PSHChatDAOLastMessageType lastMessageType;
@property (nonatomic, strong) NSDate* lastMessageDate;
@property (nonatomic, strong) NSString* lastMessageBody;

@property (nonatomic, assign) NSInteger numberOfUnreadMessages;

@property (nonatomic, strong) NSURL* avatarURL;
@property (nonatomic, strong) NSURL* avatarThumbnailURL;

@end
