#import <Foundation/Foundation.h>

/**
 Bus event emitted if user is currently in a conversation (any `PSHChatViewController` was previously presented) and a message of that conversation has been received. Event bus listeners (see `PSHBusProvider`) must implement the following method for event awareness:
 
    -(void)onShouldRefreshChatBusEvent:(NSNotification*)notification
    {
        PSHShouldRefreshChatBusEvent* event = (PSHShouldRefreshChatBusEvent*) notification.object;
    }
 */
@interface PSHShouldRefreshChatBusEvent : NSObject

@end
