#import <Foundation/Foundation.h>

/**
 Bus event emitted if user is currently in a conversation (any `PSHChatViewController` was previously presented) and the remote peer started / stopped typing. Event bus listeners (see `PSHBusProvider`) must implement the following method for event awareness:
 
    -(void)onTypingCommandBusEvent:(NSNotification*)notification
    {
        PSHTypingCommandBusEvent* event = (PSHTypingCommandBusEvent*) notification.object;
    }
 */
@interface PSHTypingCommandBusEvent : NSObject

/**
 *  `YES` if the remote peer stopped typing.
 */
@property (nonatomic, assign) BOOL isEnding;

@end