#import "PSHCampaignWebViewController.h"

@interface PSHCampaignWebViewController ()

@property (nonatomic, strong) PSHCampaignDAO* campaign;

@end

@implementation PSHCampaignWebViewController

-(id)initWithCampaign:(PSHCampaignDAO*)campaign
{
    self = [super init];
    if (self) {
        _campaign = campaign;
        self.URL = campaign.URL;
    }
    return self;
}

-(void)viewDidLoad
{
    [super viewDidLoad];
    
    [[PSHEngine sharedInstance] markCampaignAsViewed:_campaign];
}

-(void)action:(id)sender
{
    NSBundle* pshBundle = [NSBundle bundleWithPath:[[NSBundle mainBundle] pathForResource:@"PushTechSDKResources" ofType:@"bundle"]];
    UIStoryboard* storyboard = [UIStoryboard storyboardWithName:@"PSHChat" bundle:pshBundle];
    PSHContactPickerViewController* contactPicker = [storyboard instantiateViewControllerWithIdentifier:@"PSHContactPicker"];
    contactPicker.selectionType = PSHContactPickerViewControllerSelectionTypeSingle;
    contactPicker.contactsType = PSHContactPickerViewControllerContactsTypeInDomain;
    contactPicker.callback = ^(PSHContactPickerViewController* contactPicker, NSArray* pickedContacts) {
        if (pickedContacts.count == 1) {
            [self.navigationController popViewControllerAnimated:YES];
        }
    };
    [self.navigationController pushViewController:contactPicker animated:YES];
}

@end
